Issue 110287 - sw: Omit caption separator, if caption text is empty
Summary: sw: Omit caption separator, if caption text is empty
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOO320m12
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: 3.4.0
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-20 23:22 UTC by timar74
Modified: 2011-01-24 15:34 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch (430 bytes, patch)
2010-03-20 23:23 UTC, timar74
no flags Details | Diff
new version of patch that also takes care of preview (1.05 KB, patch)
2010-03-29 23:11 UTC, timar74
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description timar74 2010-03-20 23:22:18 UTC
When the user inserts a caption and does not give caption text, the separator
should not be inserted.

For example instead of "Illustration 1:" there should be only "Illustration 1".
Comment 1 timar74 2010-03-20 23:23:23 UTC
Created attachment 68457 [details]
patch
Comment 2 timar74 2010-03-29 23:11:16 UTC
Created attachment 68626 [details]
new version of patch that also takes care of preview
Comment 3 mst.ooo 2010-03-30 18:08:03 UTC
hi timar,

did you have a look at the dialog where captions are inserted?
(right-click on a picture, select "Caption")

at the bottom there is a preview, and with your patch, the preview would still
display the separator, while the caption in the document would not.

omitting the separator when there is no caption may be a good idea,
but you would have to adapt the dialog as well.

at a minimum the preview must be accurate.

maybe also deactivate the "separator" line when there is no caption?
that would show to the user that the separator is deactivated?
or maybe provide a checkbox for the separator? hmmm... i guess that would be too
much clutter.

@os:
i'll assign this to you, maybe you have a suggestion re: the dialog
Comment 4 mst.ooo 2010-03-30 18:10:56 UTC
oops, just noticed there is a second attachment; sorry, please disregard what i
wrote about preview :)
Comment 5 Oliver Specht 2010-11-01 14:16:48 UTC
Fixed in cws os144
Comment 6 Oliver Specht 2010-11-17 13:19:16 UTC
Reassigned for verification
Comment 7 michael.ruess 2010-11-23 15:38:44 UTC
Verified in CWS os144.
Comment 8 michael.ruess 2011-01-24 15:34:24 UTC
Checked in DEV300m98.